---
lang: en
title: 'API docs: context.bindingcreationpolicy'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.bindingcreationpolicy.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [BindingCreationPolicy](./context.bindingcreationpolicy.md)

## BindingCreationPolicy enum

Policy to control if a binding should be created for the context

**Signature:**

```typescript
export declare enum BindingCreationPolicy 
```

## Enumeration Members

<table><thead><tr><th>

Member


</th><th>

Value


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

ALWAYS\_CREATE


</td><td>

`"Always"`


</td><td>

Always create a binding with the key for the context


</td></tr>
<tr><td>

CREATE\_IF\_NOT\_BOUND


</td><td>

`"IfNotBound"`


</td><td>

Create a binding if the key is not bound in the context. Otherwise, return the existing binding.


</td></tr>
<tr><td>

NEVER\_CREATE


</td><td>

`"Never"`


</td><td>

Never create a binding for the context. If the key is not bound in the context, throw an error.


</td></tr>
</tbody></table>


